## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-jaraco-test
Version:        5.4.0
Release:        %autorelease
Summary:        Testing support by jaraco
License:        MIT
URL:            https://github.com/jaraco/jaraco.test
Source:         %{pypi_source jaraco.test}

BuildArch:      noarch
BuildRequires:  python3-devel
# Pytest is all we need from the long list of
# testing dependencies upstream.
BuildRequires:  python3-pytest
BuildRequires:  python3-test

%global _description %{expand:
Testing support by jaraco.}

%description %_description

%package -n     python3-jaraco-test
Summary:        %{summary}
Requires:       python3-test

%description -n python3-jaraco-test %_description


%prep
%autosetup -p1 -n jaraco.test-%{version}
# Remove once this is released:
# https://github.com/jaraco/jaraco.test/commit/40a16ec237c304075ec78c7a91978f26429917c2
sed -i "s/filterwarnings/consider_namespace_packages=True\nfilterwarnings/" pytest.ini


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l jaraco


%check
%{python3} -m pytest -v


%files -n python3-jaraco-test -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Mon Aug 12 2024 Lumir Balhar <lbalhar@redhat.com> - 5.4.0-4
- Fix compatibility with pytest 8 (rhbz#2279864)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 5.4.0-2
- Rebuilt for Python 3.13

* Wed Apr 03 2024 Lumir Balhar <lbalhar@redhat.com> - 5.4.0-1
- Initial import (fedora#2270683).
## END: Generated by rpmautospec
